Patch
curl --request PATCH \
--url https://api.explorium.ai/v2/webhooks/{webhook_id} \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"headers": [
"<string>"
],
"name": "<string>",
"description": "<string>",
"webhook_url": "<string>"
}
'import requests
url = "https://api.explorium.ai/v2/webhooks/{webhook_id}"
payload = {
"headers": ["<string>"],
"name": "<string>",
"description": "<string>",
"webhook_url": "<string>"
}
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
headers: ['<string>'],
name: '<string>',
description: '<string>',
webhook_url: '<string>'
})
};
fetch('https://api.explorium.ai/v2/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhook_id": "<string>",
"scope": {
"type": "tenant",
"id": "<string>"
},
"name": "<string>",
"webhook_url": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_time": "2023-11-07T05:31:56Z",
"response_context": {
"correlation_id": "<string>",
"request_status": "success",
"time_took_in_seconds": 123
},
"description": "<string>",
"headers": [
"<string>"
],
"payload_format": "json",
"legacy": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Webhooks
Update webhook
PATCH
/
v2
/
webhooks
/
{webhook_id}
Patch
Any mutable field:
name, description, webhook_url, headers, payload_format, status. Setting status: "disabled" retains the webhook but stops deliveries.Authorizations
APIKeyHeaderAPIKeyHeader
Path Parameters
Body
application/json
Response
Successful Response
This is base response model for all responses in partner service.
Show child attributes
Show child attributes
An enumeration.
Available options:
active, disabled Show child attributes
Show child attributes
An enumeration.
Available options:
json, stringified_json Was this page helpful?
⌘I